<template>
    <div class="control-userBigTable wow fadeInUp">
        <p class="text-allMoney">{{ $t('users.referrals.inviter') }}  <span>{{ user.inviter ? user.inviter.login : '' }}</span></p>
        <p class="text-bold">{{ $t('users.referrals.title') }}</p>
        <div class="text-headThree">
            <div class="text-head--left">
                <p class="text-id">{{ $t('users.referrals.id') }}</p>
                <p class="text-id">{{ $t('users.referrals.login') }}</p>
            </div>
            <div class="text-head--right">
                <p class="text-id">{{ $t('users.referrals.profit') }}</p>
            </div>
        </div>
        <div class="body--elementThree" v-for="referral in currentReferrals">
            <div class="body__element--left">
                <p class="text-idBold">#{{ referral.id }}</p>
                <p class="text-id">{{ referral.login }}</p>
            </div>
            <div class="body__element--right">
                <p class="text-id">{{ formatAmount(referral.earned, user.currency) }}</p>
            </div>
        </div>
        <local-paginator :current-page="currentPage" :per-page="perPage" :items-count="referralsCount" @page-changed="setPage"/>
    </div>
</template>

<script>
	import {mapGetters} from "vuex";
    import currencies from "../../currencies";

    export default {
		name: "ShortReferrals",
        props: ['user'],
        data(){
            return {
                currentPage: 1,
                referrals: [],
                perPage: 5
            }
        },
        computed: {
            ...mapGetters([
                'axios'
            ]),
            referralsCount(){
                return Array.isArray(this.referrals) ? this.referrals.length : 0
            },
            currentReferrals(){
                console.log(this.referrals);
                if(Array.isArray(this.referrals)){
                    const startIndex = (this.currentPage - 1) * this.perPage;
                    const endIndex = startIndex + this.perPage ;
                    return this.referrals.slice(startIndex, endIndex)
                }
                return [];
            }
        },
        methods: {
            submit(){
                this.axios.get(`users/${this.user.id}/short_referrals`)
                    .then(resp => resp.data)
                    .then(referrals => {
                        console.log(referrals);
                        this.referrals = referrals;
                    });
            },
            formatAmount(amount, currency){
                return currencies.formatWithDefault(amount, currency);
            },
            setPage(page){
                this.currentPage = page;
            },
        },
        mounted(){
            this.submit();
        },
	}
</script>

<style scoped>

</style>
